/*-- Document Ready Starts --*/
$(document).ready(function() {		
	// device detection
	if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent) 
		|| /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0,4))) { 
		IsDevice = true;
	}	
	$(".row").remove();
	resizeHandler();		
	document.ontouchmove = function(e) {};		
	RegisterEvents();	
	RegisterScreenEvents();
	InitActivity();	
});
/*-- Document Ready Ends --*/

/*-- Common Framework Functions Starts --*/
function RegisterEvents(){	
	$(window).resize(function() {resizeHandler();});
	$(window).on("orientationchange", function( event ) {resizeHandler();});
	$("div").mousedown(function(e) {});
	$("html").mousedown(function(e) {});		
};

/*-- Game Functions : Starts --*/
function RegisterScreenEvents(){
    /*-- Header : Starts --*/
    $("#DvResetBtn").mousedown(function(e){ResetActivity(e);});
    $("#DvNextBtn").mousedown(function(e){HandleNextQues(e);});
    /*-- Header : Ends --*/

    /*-- Footer : Starts --*/
    $("#DvQuesMarkBtn").mousedown(function(e){HandleQuesMarkClick(e);});
    $("#DvQuesCloseBtn").mousedown(function(e){HandleQuesCloseClick(e);});
    /*-- Footer : Ends --*/

    /*-- Question : Starts --*/
    $("#DvBtn0_0, #DvBtn0_1").mousedown(function(e){OnCellBtnMouseDown0(e);});
    $("#DvBtn1_0, #DvBtn1_1").mousedown(function(e){OnCellBtnMouseDown1(e);});    
    /*-- Question : Ends --*/
	
};

function InitActivity(){		
	LoadScreen(0);	
    ReadyQuestions();	  
}

function HideAllScreen(){
	for(var i=0; i<TotalScr; i++){
		HideDiv("DvScr"+i);
	}
}

function LoadScreen(ScrNo){	
	HideAllScreen();
	switch(ScrNo){
		case 0:
			ShowDiv("DvScr0"); GData.CurrScrNo = 0;
			break;		
		default:
			ShowDiv("DvScr0"); GData.CurrScrNo = 0;
			break;
	}
}

/*-- Global Functions : Starts --*/
//Shuffle Array
function ShuffleArray(){
    var TempArr = [];
    TempArr = GData.QuesArr;
    GData.QuesArr = [];
	var currentIndex = TempArr.length, temporaryValue, randomIndex;
	// While there remain elements to shuffle...
	while (0 !== currentIndex) {
	// Pick a remaining element...
	randomIndex = Math.floor(Math.random() * currentIndex);
	currentIndex -= 1;
	// And swap it with the current element.
	temporaryValue = TempArr[currentIndex];
	TempArr[currentIndex] = TempArr[randomIndex];
	TempArr[randomIndex] = temporaryValue;
	}
    GData.QuesArr = TempArr;
    //console.log(GData.QuesArr);
	//return TempArr;	
};

function ReadyQuestions(){   
    GData.MaxQues = GData.QuesArr.length;
    GData.QuesCount = 0;  
    ShuffleArray();     
    LoadNextQuestion();     
}

/*-- Header Functions  : Starts --*/
function ResetActivity(){
    //Reset Activity 1
    ShowDiv("DvFooterBase");
    var InitVal = 0;   
    if(GData.SelectedQID == 0){   
        var InitVal = 0;   
        $("#DvBtn0_0, #DvBtn0_1").attr("data-valueCurrent", 0);
        $(".ClsCell").css("display", "none");
        $("#DvText0_0, #DvText0_1").html(InitVal);
        $("#DvBtn0_0, #DvBtn0_1").removeClass("ClsDisableCont");        
    }
    else if(GData.SelectedQID == 1){
        //Reset Activity 2
        $("#DvCoverWaterBottle, #DvCoverWaterGlass0, #DvCoverWaterGlass1").removeAttr("style");  
        HideDiv("DvCup0"); HideDiv("DvCup1");
        HideDiv("DvWaterDrop0"); HideDiv("DvWaterDrop1");
        $("#DvBtn1_0, #DvBtn1_1").removeClass("ClsDisableCont");
        $("#DvBtn1_0").addClass("ClsEnableCont");        
        $("#DvBtn1_1").addClass("ClsDisableCont");
        $("#DvBtn1_0").attr("data-valueCurrent", 0);
        $("#DvBtn1_1").attr("data-valueCurrent", 2);
        $("#DvText1_0, #DvText1_1").html(InitVal);
        HideDiv("DvBlocker");
    }    
}

function LoadNextQuestion(){  
    ResetActivity();  
    if(GData.QuesCount >= GData.MaxQues){ GData.QuesCount = 0; }    
    $("#DvQuestion").html(GData.QuesArr[GData.QuesCount].Ques);      
    GData.SelectedQID =  Number(GData.QuesArr[GData.QuesCount].QuesID); 
    ShowDiv("DvFooterBase");   
    HideDiv("DvQues0"); HideDiv("DvQues1");
    if(GData.SelectedQID == 0){ShowDiv("DvQues0");}
    else if(GData.SelectedQID == 1){ShowDiv("DvQues1");}
}

function HandleNextQues(e){ GData.QuesCount++; LoadNextQuestion(); };



/*-- Header Functions  : Ends --*/

/*-- Footer Functions  : Starts --*/
function HandleQuesMarkClick(e){
    HideDiv("DvQuesMarkBtn");
    ShowDiv("DvFooterBase");    
}

function HandleQuesCloseClick(e){ 
    ShowDiv("DvQuesMarkBtn"); 
    HideDiv("DvFooterBase");
}
/*-- Footer Functions  : Ends --*/
/*-- Global Functions : Ends --*/

/*-- Ques0 Functions : Starts --*/

function OnCellBtnMouseDown0(e){
    var DivID = ""; var TextId = ";"
    if(e.target.id == "DvBtn0_0"){ DivID = "DvCell0_"; TextId = "DvText0_0"; }
    else  if(e.target.id == "DvBtn0_1"){ DivID = "DvCell1_"; TextId = "DvText0_1"; }
    var CurrID  = Number($("#"+e.target.id).attr("data-valueCurrent"));
    var MaxID = Number($("#"+e.target.id).attr("data-valueMax"));
    $("#" + DivID + CurrID).removeAttr("style");
    $("#" + TextId).html(Number(CurrID) + 1);    
    if(CurrID < MaxID){ 
        CurrID++; 
        $("#"+e.target.id).attr("data-valueCurrent", CurrID);
    }
    else if(CurrID == MaxID){ 
        $("#"+e.target.id).addClass("ClsDisableCont");
    }
}
/*-- Ques0 Functions : Ends --*/

var ArrStepData = [
    {"BottleCover": -312, "GlassCover":-120, "ObjID":0},
    {"BottleCover": -234, "GlassCover":-239 , "ObjID":0},
    {"BottleCover": -156, "GlassCover":-95, "ObjID":1},
    {"BottleCover": -78,  "GlassCover":-190, "ObjID":1},
    {"BottleCover":   0,  "GlassCover":-287, "ObjID":1}
    
]

function OnCellBtnMouseDown1(e){       
    ShowDiv("DvBlocker");
    var DivID = ""; var TextId = ";"
    if(e.target.id == "DvBtn1_0"){ DivID = "DvCell0_"; TextId = "DvText1_0"; }
    else  if(e.target.id == "DvBtn1_1"){ DivID = "DvCell1_"; TextId = "DvText1_1"; }

    var CurrID  = Number($("#"+e.target.id).attr("data-valueCurrent"));
    $( "#DvCoverWaterBottle" ).animate({top: ArrStepData[CurrID].BottleCover + "px"}, 1000, function(){
        HideDiv("DvCup");                
        if(ArrStepData[CurrID].ObjID == 0){
            ShowDiv("DvCup0"); ShowDiv("DvWaterDrop0");
            //console.log(ArrStepData[CurrID].GlassCover, CurrID);
            $("#DvCoverWaterGlass0" ).animate({top: ArrStepData[CurrID].GlassCover + "px"}, 1000, function(){
                // Animation complete.
                ShowDiv("DvCup"); 
                HideDiv("DvCup0");  HideDiv("DvWaterDrop0");
                $("#" + TextId).html(Number(CurrID) + 1);

                if(CurrID == 1){
                    $("#DvBtn1_0, #DvBtn1_1").removeAttr("class");
                    $("#DvBtn1_0").addClass("ClsDisableCont");
                    $("#DvBtn1_1").addClass("ClsEnableCont");
                }
                else if(CurrID == 4){
                    $("#DvBtn1_1").removeAttr("class");
                    $("#DvBtn1_1").addClass("ClsDisableCont");                
                }
                else {
                    CurrID++;
                    $("#"+e.target.id).attr("data-valueCurrent", CurrID);
                }
                HideDiv("DvBlocker");
            });
        }
        else if(ArrStepData[CurrID].ObjID == 1){
            ShowDiv("DvCup1"); ShowDiv("DvWaterDrop1");                        
            $("#DvCoverWaterGlass1" ).animate({top: ArrStepData[CurrID].GlassCover + "px"}, 1000, function(){
                // Animation complete.
                ShowDiv("DvCup"); 
                HideDiv("DvCup1"); HideDiv("DvWaterDrop1");
                $("#" + TextId).html(Number(CurrID) + 1 -2);
                if(CurrID == 1){
                    $("#DvBtn1_0, #DvBtn1_1").removeAttr("class");
                    $("#DvBtn1_0").addClass("ClsDisableCont");
                    $("#DvBtn1_1").addClass("ClsEnableCont");
                }
                else if(CurrID == 4){
                    $("#DvBtn1_1").removeAttr("class");
                    $("#DvBtn1_1").addClass("ClsDisableCont");                
                }
                else {
                    CurrID++;
                    $("#"+e.target.id).attr("data-valueCurrent", CurrID);
                } 
                HideDiv("DvBlocker");

            });
        }                
    });
        
}
/*-- Ques0 Functions : Ends --*/



/*-- Game Functions : Ends --*/